Skip to main content
GET
/
managed_accounts
/
{macc_id}
curl https://production.methodfi.com/managed_accounts/macc_123456789 \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "success": true,
  "data": {
    "id": "macc_123456789",
    "routing": "123456789",
    "number": "0123456789",
    "current_balance": 2000000,
    "available_balance": 2000000
  },
  "message": null
}

Documentation Index

Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Retrieve details of an existing Managed Account.

Path Parameters

Returns

Returns the corresponding Managed Account if it exists.
curl https://production.methodfi.com/managed_accounts/macc_123456789 \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "success": true,
  "data": {
    "id": "macc_123456789",
    "routing": "123456789",
    "number": "0123456789",
    "current_balance": 2000000,
    "available_balance": 2000000
  },
  "message": null
}